"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMatchingContentFilesWithFrontMatter = void 0;
const fs = require("fs");
const path = require("path");
const vite_1 = require("vite");
function getMatchingContentFilesWithFrontMatter(workspaceRoot, rootDir, glob) {
    // eslint-disable-next-line @typescript-eslint/no-var-requires
    const fg = require('fast-glob');
    // eslint-disable-next-line @typescript-eslint/no-var-requires
    const fm = require('front-matter');
    const root = (0, vite_1.normalizePath)(path.resolve(workspaceRoot, rootDir));
    const resolvedDir = (0, vite_1.normalizePath)(path.resolve(root, glob));
    const contentFiles = fg.sync([`${root}/${resolvedDir}/*`], {
        dot: true,
    });
    const mappedFilesWithFm = contentFiles.map((f) => {
        const fileContents = fs.readFileSync(f, 'utf8');
        const raw = fm(fileContents);
        const filepath = f.replace(root, '');
        const match = filepath.match(/\/([^/.]+)(\.([^/.]+))?$/);
        let name = '';
        let extension = '';
        if (match) {
            name = match[1];
            extension = match[3] || ''; // Using an empty string if there's no extension
        }
        return {
            name,
            extension,
            path: resolvedDir,
            attributes: raw.attributes,
        };
    });
    return mappedFilesWithFm;
}
exports.getMatchingContentFilesWithFrontMatter = getMatchingContentFilesWithFrontMatter;
//# sourceMappingURL=get-content-files.js.map